## org.opencyc.cycagent.fipaos
Class FipaOsCommunityAdapter.RequestTask

    java.lang.Object
      |
      +--fipaos.agent.task.Task
            |
            +--org.opencyc.cycagent.fipaos.FipaOsCommunityAdapter.RequestTask

Enclosing class:
  FipaOsCommunityAdapter

public class FipaOsCommunityAdapter.RequestTask
extends fipaos.agent.task.Task

Provides for the initiation and handling of a fipa-request conversation. This task is involked via a SynchronousTask wrapper and the result is returned via the done method.

Fields inherited from class fipaos.agent.task.Task
`_children, _lock, _owner, _tm`

Constructor Summary
`FipaOsCommunityAdapter.RequestTask(fipaos.ont.fipa.ACL requestAcl)` Constructs a new RequestTask object given the request ACL.

Method Summary
`void` `handleAgree(fipaos.agent.conversation.Conversation fipaRequest)` Handle the inform message which is part of the fipa-request conversation by doing nothing.
`void` `handleInform(fipaos.agent.conversation.Conversation fipaRequest)` Handle the inform message which is part of the RequestProtocol.
`void` `handleRequest(fipaos.agent.conversation.Conversation fipaRequest)` Handle the request message which is part of the fipa-request conversation by doing nothing.
`protected void` `startTask()` Starts this task and initiates the fipa-request conversation.

Methods inherited from class fipaos.agent.task.Task

`DFSearchResults, done, done, doneDFSearchTask, errorDFSearchTask, forward, forward, getContext, getNewConversation, getState, handleAcceptProposal, handleCfp, handleConfirm, handleDisconfirm, handleFailure, handleInformIf, handleInformRef, handleLateMessage, handleNotUnderstood, handleOther, handlePropagate, handlePropose, handleProxy, handleQueryIf, handleQueryRef, handleRefuse, handleRejectProposal, handleRequestWhen, handleRequestWhenever, handleSubscribe, handleUndeliverableMessage, newTask, newTask, newTask, newTask, newTask, newTask, newTask, newTask, notify, notifyDone, notifyError, notifyMessageFailure, notifyMessageForEndedConversation, notifyTimeout, searchDF, searchDF, searchDF, searchDF, searchDF, sendNotUnderstood, setContext, timeoutDFSearchTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FipaOsCommunityAdapter.RequestTask

    public FipaOsCommunityAdapter.RequestTask(fipaos.ont.fipa.ACL requestAcl)

  Constructs a new RequestTask object given the request ACL.
  Parameters:
    `requestAcl` - the request message Agent Communication Language

Method Detail

### startTask

    protected void startTask()

  Starts this task and initiates the fipa-request conversation. The conversation manager will assign a conversationID to the requestAcl object and create a new fipa-request conversation to track it.
  Overrides:
    `startTask` in class `fipaos.agent.task.Task`

### handleRequest

    public void handleRequest(fipaos.agent.conversation.Conversation fipaRequest)

  Handle the request message which is part of the fipa-request conversation by doing nothing.
  Overrides:
    `handleRequest` in class `fipaos.agent.task.Task`

### handleAgree

    public void handleAgree(fipaos.agent.conversation.Conversation fipaRequest)

  Handle the inform message which is part of the fipa-request conversation by doing nothing.
  Overrides:
    `handleAgree` in class `fipaos.agent.task.Task`

### handleInform

    public void handleInform(fipaos.agent.conversation.Conversation fipaRequest)

  Handle the inform message which is part of the RequestProtocol. The replyAcl is returned via the done method.
  Overrides:
    `handleInform` in class `fipaos.agent.task.Task`